##// END OF EJS Templates
dependencies: bumped loosely pinned dependencies...
dependencies: bumped loosely pinned dependencies - pin contextlib2==0.6.0 - update cffi-1.13.1 - update prompt_toolkit-1.0.18 - update traitlets-4.3.3

File last commit:

r791:e098fc42 default
r791:e098fc42 default
Show More
python-packages.nix
1090 lines | 37.0 KiB | text/x-nix | NixLexer
/ pkgs / python-packages.nix
nix: updated to 18.03 packages....
r472 # Generated by pip2nix 0.8.0.dev1
requirements: added ipdb (0.10.1) support.
r96 # See https://github.com/johbo/pip2nix
nix: updated to 18.03 packages....
r472 { pkgs, fetchurl, fetchgit, fetchhg }:
self: super: {
"atomicwrites" = super.buildPythonPackage {
dependencies: bumped pinned libraries to latest versions....
r788 name = "atomicwrites-1.3.0";
initial commit
r0 doCheck = false;
src = fetchurl {
dependencies: bumped pinned libraries to latest versions....
r788 url = "https://files.pythonhosted.org/packages/ec/0f/cd484ac8820fed363b374af30049adc8fd13065720fd4f4c6be8a2309da7/atomicwrites-1.3.0.tar.gz";
sha256 = "19ngcscdf3jsqmpcxn6zl5b6anmsajb6izp1smcd1n02midl9abm";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.mit ];
};
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "attrs" = super.buildPythonPackage {
packages: bumped attrs to 19.1.0
r772 name = "attrs-19.1.0";
initial commit
r0 doCheck = false;
src = fetchurl {
packages: bumped attrs to 19.1.0
r772 url = "https://files.pythonhosted.org/packages/cc/d9/931a24cc5394f19383fbbe3e1147a0291276afa43a0dc3ed0d6cd9fda813/attrs-19.1.0.tar.gz";
sha256 = "16g33zr5f449lqc5wgvzpknxryfzrfsxcr6kpgxwn7l5fkv71f7h";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.mit ];
};
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "backports.shutil-get-terminal-size" = super.buildPythonPackage {
requirements: added ipdb (0.10.1) support.
r96 name = "backports.shutil-get-terminal-size-1.0.0";
initial commit
r0 doCheck = false;
src = fetchurl {
dependencies: changed url to new python hosting for pypi.
r417 url = "https://files.pythonhosted.org/packages/ec/9c/368086faa9c016efce5da3e0e13ba392c9db79e3ab740b763fe28620b18b/backports.shutil_get_terminal_size-1.0.0.tar.gz";
nix: updated to 18.03 packages....
r472 sha256 = "107cmn7g3jnbkp826zlj8rrj19fam301qvaqf0f3905f5217lgki";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.mit ];
};
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "beautifulsoup4" = super.buildPythonPackage {
dependencies: bumped some loose libraries:...
r505 name = "beautifulsoup4-4.6.3";
initial commit
r0 doCheck = false;
src = fetchurl {
dependencies: bumped some loose libraries:...
r505 url = "https://files.pythonhosted.org/packages/88/df/86bffad6309f74f3ff85ea69344a078fc30003270c8df6894fca7a3c72ff/beautifulsoup4-4.6.3.tar.gz";
sha256 = "041dhalzjciw6qyzzq7a2k4h1yvyk76xigp35hv5ibnn448ydy4h";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.mit ];
};
initial commit
r0 };
requirements: added pygit2 into project
r723 "cffi" = super.buildPythonPackage {
dependencies: bumped loosely pinned dependencies...
r791 name = "cffi-1.13.1";
requirements: added pygit2 into project
r723 doCheck = false;
propagatedBuildInputs = [
self."pycparser"
];
src = fetchurl {
dependencies: bumped loosely pinned dependencies...
r791 url = "https://files.pythonhosted.org/packages/0d/aa/c5ac2f337d9a10ee95d160d47beb8d9400e1b2a46bb94990a0409fe6d133/cffi-1.13.1.tar.gz";
sha256 = "16sran9hz2k2bg869mbmh6r15vk4vyzffjfqmcblpkw7z7z3m2sm";
requirements: added pygit2 into project
r723 };
meta = {
license = [ pkgs.lib.licenses.mit ];
};
};
nix: updated to 18.03 packages....
r472 "configobj" = super.buildPythonPackage {
initial commit
r0 name = "configobj-5.0.6";
dependencies: bumped webtest to 2.0.27
r245 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."six"
];
dependencies: bumped webtest to 2.0.27
r245 src = fetchurl {
dependencies: switched configobj to artifacts store link.
r697 url = "https://code.rhodecode.com/upstream/configobj/artifacts/download/0-012de99a-b1e1-4f64-a5c0-07a98a41b324.tar.gz?md5=6a513f51fe04b2c18cf84c1395a7c626";
sha256 = "0kqfrdfr14mw8yd8qwq14dv2xghpkjmd3yjsy8dfcbvpcc17xnxp";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.bsdOriginal ];
};
initial commit
r0 };
dependencies: bumped pinned libraries to latest versions....
r788 "configparser" = super.buildPythonPackage {
name = "configparser-4.0.2";
doCheck = false;
src = fetchurl {
url = "https://files.pythonhosted.org/packages/16/4f/48975536bd488d3a272549eb795ac4a13a5f7fcdc8995def77fbef3532ee/configparser-4.0.2.tar.gz";
sha256 = "1priacxym85yjcf68hh38w55nqswaxp71ryjyfdk222kg9l85ln7";
};
meta = {
license = [ pkgs.lib.licenses.mit ];
};
};
"contextlib2" = super.buildPythonPackage {
name = "contextlib2-0.6.0";
doCheck = false;
src = fetchurl {
url = "https://files.pythonhosted.org/packages/f0/08/ac376929b2c51e2d5fd4b9fa1f72eca0162c990edc526bdd3b16449323ad/contextlib2-0.6.0.tar.gz";
sha256 = "1lvy0xvh5kkx0cmv2y8rpxjrg909q920k05x7m8srjkpcxrsm5vi";
};
meta = {
license = [ pkgs.lib.licenses.psfl ];
};
};
nix: updated to 18.03 packages....
r472 "cov-core" = super.buildPythonPackage {
packages: updated nix packages based on requirements files.
r138 name = "cov-core-1.15.0";
doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."coverage"
];
packages: updated nix packages based on requirements files.
r138 src = fetchurl {
dependencies: changed url to new python hosting for pypi.
r417 url = "https://files.pythonhosted.org/packages/4b/87/13e75a47b4ba1be06f29f6d807ca99638bedc6b57fa491cd3de891ca2923/cov-core-1.15.0.tar.gz";
nix: updated to 18.03 packages....
r472 sha256 = "0k3np9ymh06yv1ib96sb6wfsxjkqhmik8qfsn119vnhga9ywc52a";
packages: updated nix packages based on requirements files.
r138 };
meta = {
license = [ pkgs.lib.licenses.mit ];
};
};
nix: updated to 18.03 packages....
r472 "coverage" = super.buildPythonPackage {
dependencies: bumped pinned libraries to latest versions....
r788 name = "coverage-4.5.4";
packages: updated nix packages based on requirements files.
r138 doCheck = false;
src = fetchurl {
dependencies: bumped pinned libraries to latest versions....
r788 url = "https://files.pythonhosted.org/packages/85/d5/818d0e603685c4a613d56f065a721013e942088047ff1027a632948bdae6/coverage-4.5.4.tar.gz";
sha256 = "0p0j4di6h8k6ica7jwwj09azdcg4ycxq60i9qsskmsg94cd9yzg0";
packages: updated nix packages based on requirements files.
r138 };
meta = {
dependencies: bumped few libraries....
r556 license = [ pkgs.lib.licenses.asl20 ];
packages: updated nix packages based on requirements files.
r138 };
};
nix: updated to 18.03 packages....
r472 "decorator" = super.buildPythonPackage {
dependencies: bumped decorator to 4.1.2
r314 name = "decorator-4.1.2";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
src = fetchurl {
dependencies: changed url to new python hosting for pypi.
r417 url = "https://files.pythonhosted.org/packages/bb/e0/f6e41e9091e130bf16d4437dabbac3993908e4d6485ecbc985ef1352db94/decorator-4.1.2.tar.gz";
nix: updated to 18.03 packages....
r472 sha256 = "1d8npb11kxyi36mrvjdpcjij76l5zfyrz2f820brf0l0rcw4vdkw";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
license = [ pkgs.lib.licenses.bsdOriginal { fullName = "new BSD License"; } ];
};
};
caches: replaced beaker with dogpile cache.
r483 "dogpile.cache" = super.buildPythonPackage {
dependencies: bumped dogpile.cache to 0.7.1
r616 name = "dogpile.cache-0.7.1";
caches: replaced beaker with dogpile cache.
r483 doCheck = false;
dependencies: bumped dogpile.cache to 0.7.1
r616 propagatedBuildInputs = [
self."decorator"
];
caches: replaced beaker with dogpile cache.
r483 src = fetchurl {
dependencies: bumped dogpile.cache to 0.7.1
r616 url = "https://files.pythonhosted.org/packages/84/3e/dbf1cfc5228f1d3dca80ef714db2c5aaec5cd9efaf54d7e3daef6bc48b19/dogpile.cache-0.7.1.tar.gz";
sha256 = "0caazmrzhnfqb5yrp8myhw61ny637jj69wcngrpbvi31jlcpy6v9";
caches: replaced beaker with dogpile cache.
r483 };
meta = {
license = [ pkgs.lib.licenses.bsdOriginal ];
};
};
"dogpile.core" = super.buildPythonPackage {
name = "dogpile.core-0.4.1";
initial commit
r0 doCheck = false;
src = fetchurl {
caches: replaced beaker with dogpile cache.
r483 url = "https://files.pythonhosted.org/packages/0e/77/e72abc04c22aedf874301861e5c1e761231c288b5de369c18be8f4b5c9bb/dogpile.core-0.4.1.tar.gz";
sha256 = "0xpdvg4kr1isfkrh1rfsh7za4q5a5s6l2kf9wpvndbwf3aqjyrdy";
};
meta = {
license = [ pkgs.lib.licenses.bsdOriginal ];
};
};
nix: updated to 18.03 packages....
r472 "dulwich" = super.buildPythonPackage {
dan
pkgs: upgrade dulwich to 0.13 - fixes #4009
r31 name = "dulwich-0.13.0";
initial commit
r0 doCheck = false;
src = fetchurl {
dependencies: changed url to new python hosting for pypi.
r417 url = "https://files.pythonhosted.org/packages/84/95/732d280eee829dacc954e8109f97b47abcadcca472c2ab013e1635eb4792/dulwich-0.13.0.tar.gz";
nix: updated to 18.03 packages....
r472 sha256 = "0f1jwvrh549c4rgavkn3wizrch904s73s4fmrxykxy9cw8s57lwf";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.gpl2Plus ];
};
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "enum34" = super.buildPythonPackage {
requirements: added ipdb (0.10.1) support.
r96 name = "enum34-1.1.6";
doCheck = false;
src = fetchurl {
dependencies: changed url to new python hosting for pypi.
r417 url = "https://files.pythonhosted.org/packages/bf/3e/31d502c25302814a7c2f1d3959d2a3b3f78e509002ba91aea64993936876/enum34-1.1.6.tar.gz";
nix: updated to 18.03 packages....
r472 sha256 = "1cgm5ng2gcfrkrm3hc22brl6chdmv67b9zvva9sfs7gn7dwc9n4a";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
license = [ pkgs.lib.licenses.bsdOriginal ];
};
};
nix: updated to 18.03 packages....
r472 "funcsigs" = super.buildPythonPackage {
dependencies: bumped beaker lib to 1.9.0
r239 name = "funcsigs-1.0.2";
doCheck = false;
src = fetchurl {
dependencies: changed url to new python hosting for pypi.
r417 url = "https://files.pythonhosted.org/packages/94/4a/db842e7a0545de1cdb0439bb80e6e42dfe82aaeaadd4072f2263a4fbed23/funcsigs-1.0.2.tar.gz";
nix: updated to 18.03 packages....
r472 sha256 = "0l4g5818ffyfmfs1a924811azhjj8ax9xd1cffr1mzd3ycn0zfx7";
dependencies: bumped beaker lib to 1.9.0
r239 };
meta = {
license = [ { fullName = "ASL"; } pkgs.lib.licenses.asl20 ];
};
};
nix: updated to 18.03 packages....
r472 "gevent" = super.buildPythonPackage {
dependencies: bumped gevent to 1.4.0
r637 name = "gevent-1.4.0";
packages: updated nix packages based on requirements files.
r138 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."greenlet"
];
packages: updated nix packages based on requirements files.
r138 src = fetchurl {
dependencies: bumped gevent to 1.4.0
r637 url = "https://files.pythonhosted.org/packages/ed/27/6c49b70808f569b66ec7fac2e78f076e9b204db9cf5768740cff3d5a07ae/gevent-1.4.0.tar.gz";
sha256 = "1lchr4akw2jkm5v4kz7bdm4wv3knkfhbfn9vkkz4s5yrkcxzmdqy";
packages: updated nix packages based on requirements files.
r138 };
meta = {
license = [ pkgs.lib.licenses.mit ];
};
};
nix: updated to 18.03 packages....
r472 "gprof2dot" = super.buildPythonPackage {
dependencies: bumped test libraries versions....
r308 name = "gprof2dot-2017.9.19";
initial commit
r0 doCheck = false;
src = fetchurl {
dependencies: changed url to new python hosting for pypi.
r417 url = "https://files.pythonhosted.org/packages/9d/36/f977122502979f3dfb50704979c9ed70e6b620787942b089bf1af15f5aba/gprof2dot-2017.9.19.tar.gz";
nix: updated to 18.03 packages....
r472 sha256 = "17ih23ld2nzgc3xwgbay911l6lh96jp1zshmskm17n1gg2i7mg6f";
packages: updated nix packages based on requirements files.
r138 };
meta = {
dependencies: bumped test libraries versions....
r308 license = [ { fullName = "GNU Lesser General Public License v3 or later (LGPLv3+)"; } { fullName = "LGPL"; } ];
packages: updated nix packages based on requirements files.
r138 };
};
nix: updated to 18.03 packages....
r472 "greenlet" = super.buildPythonPackage {
dependencies: bumped few libraries....
r556 name = "greenlet-0.4.15";
packages: updated nix packages based on requirements files.
r138 doCheck = false;
src = fetchurl {
dependencies: bumped few libraries....
r556 url = "https://files.pythonhosted.org/packages/f8/e8/b30ae23b45f69aa3f024b46064c0ac8e5fcb4f22ace0dca8d6f9c8bbe5e7/greenlet-0.4.15.tar.gz";
sha256 = "1g4g1wwc472ds89zmqlpyan3fbnzpa8qm48z3z1y6mlk44z485ll";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.mit ];
};
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "gunicorn" = super.buildPythonPackage {
dependencies: bumped gunicorn to 19.9.0
r475 name = "gunicorn-19.9.0";
initial commit
r0 doCheck = false;
src = fetchurl {
dependencies: bumped gunicorn to 19.9.0
r475 url = "https://files.pythonhosted.org/packages/47/52/68ba8e5e8ba251e54006a49441f7ccabca83b6bef5aedacb4890596c7911/gunicorn-19.9.0.tar.gz";
sha256 = "1wzlf4xmn6qjirh5w81l6i6kqjnab1n1qqkh7zsj1yb6gh4n49ps";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.mit ];
};
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "hg-evolve" = super.buildPythonPackage {
dependencies: bumped mercurial==5.1.0 and hg-evolve==9.1.0
r765 name = "hg-evolve-9.1.0";
extensions: added hg-evolve package
r214 doCheck = false;
src = fetchurl {
dependencies: bumped mercurial==5.1.0 and hg-evolve==9.1.0
r765 url = "https://files.pythonhosted.org/packages/20/36/5a6655975aa0c663be91098d31a0b24841acad44fe896aa2bdee77c6b883/hg-evolve-9.1.0.tar.gz";
sha256 = "1mna81cmzxxn7s2nwz3g1xgdjlcc1axkvfmwg7gjqghwn3pdraps";
extensions: added hg-evolve package
r214 };
meta = {
license = [ { fullName = "GPLv2+"; } ];
};
};
nix: updated to 18.03 packages....
r472 "hgsubversion" = super.buildPythonPackage {
dependencies: bumped hgsubversion to 1.9.3 release.
r586 name = "hgsubversion-1.9.3";
initial commit
r0 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."mercurial"
self."subvertpy"
];
initial commit
r0 src = fetchurl {
dependencies: bumped hgsubversion to 1.9.3 release.
r586 url = "https://files.pythonhosted.org/packages/a3/53/6d205e641f3e09abcf1ddaed66e5e4b20da22d0145566d440a02c9e35f0d/hgsubversion-1.9.3.tar.gz";
sha256 = "0nymcjlch8c4zjbncrs30p2nrbylsf25g3h6mr0zzzxr141h3sig";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.gpl1 ];
};
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "hupper" = super.buildPythonPackage {
dependencies: bumped pinned libraries to latest versions....
r788 name = "hupper-1.8.1";
dependencies: bumped webtest to 2.0.27
r245 doCheck = false;
src = fetchurl {
dependencies: bumped pinned libraries to latest versions....
r788 url = "https://files.pythonhosted.org/packages/c7/d0/e4b893c88eb8b7389d3a4b5306525742c3497b4bffe0a4257bbacbdbcec5/hupper-1.8.1.tar.gz";
sha256 = "0hilni2gzkcz5n3pqnwj4hs7vp017s7scz52n20x92ms8qmfqsaq";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.mit ];
};
initial commit
r0 };
dependencies: bumped test libraries
r786 "importlib-metadata" = super.buildPythonPackage {
name = "importlib-metadata-0.23";
doCheck = false;
propagatedBuildInputs = [
self."zipp"
self."contextlib2"
self."configparser"
self."pathlib2"
];
src = fetchurl {
url = "https://files.pythonhosted.org/packages/5d/44/636bcd15697791943e2dedda0dbe098d8530a38d113b202817133e0b06c0/importlib_metadata-0.23.tar.gz";
sha256 = "09mdqdfv5rdrwz80jh9m379gxmvk2vhjfz0fg53hid00icvxf65a";
};
meta = {
license = [ pkgs.lib.licenses.asl20 ];
};
};
nix: updated to 18.03 packages....
r472 "ipdb" = super.buildPythonPackage {
dependencies: bumped ipdb to 0.12.0
r675 name = "ipdb-0.12";
extensions: added hg-evolve package
r214 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."setuptools"
self."ipython"
];
extensions: added hg-evolve package
r214 src = fetchurl {
dependencies: bumped ipdb to 0.12.0
r675 url = "https://files.pythonhosted.org/packages/6d/43/c3c2e866a8803e196d6209595020a4a6db1a3c5d07c01455669497ae23d0/ipdb-0.12.tar.gz";
sha256 = "1khr2n7xfy8hg65kj1bsrjq9g7656pp0ybfa8abpbzpdawji3qnw";
extensions: added hg-evolve package
r214 };
meta = {
requirements: added ipdb (0.10.1) support.
r96 license = [ pkgs.lib.licenses.bsdOriginal ];
extensions: added hg-evolve package
r214 };
};
nix: updated to 18.03 packages....
r472 "ipython" = super.buildPythonPackage {
requirements: added ipdb (0.10.1) support.
r96 name = "ipython-5.1.0";
initial commit
r0 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."setuptools"
self."decorator"
self."pickleshare"
self."simplegeneric"
self."traitlets"
self."prompt-toolkit"
self."pygments"
self."pexpect"
self."backports.shutil-get-terminal-size"
self."pathlib2"
self."pexpect"
];
initial commit
r0 src = fetchurl {
dependencies: changed url to new python hosting for pypi.
r417 url = "https://files.pythonhosted.org/packages/89/63/a9292f7cd9d0090a0f995e1167f3f17d5889dcbc9a175261719c513b9848/ipython-5.1.0.tar.gz";
nix: updated to 18.03 packages....
r472 sha256 = "0qdrf6aj9kvjczd5chj1my8y2iq09am9l8bb2a1334a52d76kx3y";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
requirements: added ipdb (0.10.1) support.
r96 license = [ pkgs.lib.licenses.bsdOriginal ];
release: updated pip2nix output for 4.2.0
r38 };
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "ipython-genutils" = super.buildPythonPackage {
dependencies: bumped internal libs to latest versions....
r191 name = "ipython-genutils-0.2.0";
dependencies: bumped webtest to 2.0.27
r245 doCheck = false;
src = fetchurl {
dependencies: changed url to new python hosting for pypi.
r417 url = "https://files.pythonhosted.org/packages/e8/69/fbeffffc05236398ebfcfb512b6d2511c622871dca1746361006da310399/ipython_genutils-0.2.0.tar.gz";
nix: updated to 18.03 packages....
r472 sha256 = "1a4bc9y8hnvq6cp08qs4mckgm6i6ajpndp4g496rvvzcfmp12bpb";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
license = [ pkgs.lib.licenses.bsdOriginal ];
};
};
nix: updated to 18.03 packages....
r472 "mako" = super.buildPythonPackage {
packages: bumped mako to 1.1.0 and markupsafe to 1.1.1, and pyramid mako to 1.1.0
r787 name = "mako-1.1.0";
initial commit
r0 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."markupsafe"
];
initial commit
r0 src = fetchurl {
packages: bumped mako to 1.1.0 and markupsafe to 1.1.1, and pyramid mako to 1.1.0
r787 url = "https://files.pythonhosted.org/packages/b0/3c/8dcd6883d009f7cae0f3157fb53e9afb05a0d3d33b3db1268ec2e6f4a56b/Mako-1.1.0.tar.gz";
sha256 = "0jqa3qfpykyn4fmkn0kh6043sfls7br8i2bsdbccazcvk9cijsd3";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
dependencies: freeze few libraries for better rhodecode-ce compatability.
r428 license = [ pkgs.lib.licenses.mit ];
release: updated pip2nix output for 4.2.0
r38 };
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "markupsafe" = super.buildPythonPackage {
packages: bumped mako to 1.1.0 and markupsafe to 1.1.1, and pyramid mako to 1.1.0
r787 name = "markupsafe-1.1.1";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
src = fetchurl {
packages: bumped mako to 1.1.0 and markupsafe to 1.1.1, and pyramid mako to 1.1.0
r787 url = "https://files.pythonhosted.org/packages/b9/2e/64db92e53b86efccfaea71321f597fa2e1b2bd3853d8ce658568f7a13094/MarkupSafe-1.1.1.tar.gz";
sha256 = "0sqipg4fk7xbixqd8kq6rlkxj664d157bdwbh93farcphf92x1r9";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
packages: bumped mako to 1.1.0 and markupsafe to 1.1.1, and pyramid mako to 1.1.0
r787 license = [ pkgs.lib.licenses.bsdOriginal pkgs.lib.licenses.bsd3 ];
requirements: added ipdb (0.10.1) support.
r96 };
};
nix: updated to 18.03 packages....
r472 "mercurial" = super.buildPythonPackage {
dependencies: bumped mercurial to 5.1.1
r775 name = "mercurial-5.1.1";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
src = fetchurl {
dependencies: bumped mercurial to 5.1.1
r775 url = "https://files.pythonhosted.org/packages/22/39/e1a95f6048aa0785b82f5faad8281ae7320894a635cb4a57e19479639c92/mercurial-5.1.1.tar.gz";
sha256 = "17z42rfjdkrks4grzgac66nfh285zf1pwxd2zwx1p71pw2jqpz1m";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
release: updated pip2nix output for 4.2.0
r38 license = [ pkgs.lib.licenses.gpl1 pkgs.lib.licenses.gpl2Plus ];
requirements: added ipdb (0.10.1) support.
r96 };
};
nix: updated to 18.03 packages....
r472 "mock" = super.buildPythonPackage {
dependencies: bumped test libraries
r786 name = "mock-3.0.5";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
dependencies: bumped test libraries
r786 propagatedBuildInputs = [
self."six"
self."funcsigs"
];
requirements: added ipdb (0.10.1) support.
r96 src = fetchurl {
dependencies: bumped test libraries
r786 url = "https://files.pythonhosted.org/packages/2e/ab/4fe657d78b270aa6a32f027849513b829b41b0f28d9d8d7f8c3d29ea559a/mock-3.0.5.tar.gz";
sha256 = "1hrp6j0yrx2xzylfv02qa8kph661m6yq4p0mc8fnimch9j4psrc3";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
dependencies: bumped test libraries
r786 license = [ pkgs.lib.licenses.bsdOriginal { fullName = "OSI Approved :: BSD License"; } ];
requirements: added ipdb (0.10.1) support.
r96 };
};
nix: updated to 18.03 packages....
r472 "more-itertools" = super.buildPythonPackage {
dependencies: updated more-itertools to 5.0.0
r615 name = "more-itertools-5.0.0";
initial commit
r0 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."six"
];
initial commit
r0 src = fetchurl {
dependencies: updated more-itertools to 5.0.0
r615 url = "https://files.pythonhosted.org/packages/dd/26/30fc0d541d9fdf55faf5ba4b0fd68f81d5bd2447579224820ad525934178/more-itertools-5.0.0.tar.gz";
sha256 = "1r12cm6mcdwdzz7d47a6g4l437xsvapdlgyhqay3i2nrlv03da9q";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
dependencies: bumped test dependencies...
r449 license = [ pkgs.lib.licenses.mit ];
release: updated pip2nix output for 4.2.0
r38 };
initial commit
r0 };
nix: updated to 18.03 packages....
r472 "msgpack-python" = super.buildPythonPackage {
dependencies: bumped msgpack-python to 0.5.6
r477 name = "msgpack-python-0.5.6";
initial commit
r0 doCheck = false;
src = fetchurl {
dependencies: bumped msgpack-python to 0.5.6
r477 url = "https://files.pythonhosted.org/packages/8a/20/6eca772d1a5830336f84aca1d8198e5a3f4715cd1c7fc36d3cc7f7185091/msgpack-python-0.5.6.tar.gz";
sha256 = "16wh8qgybmfh4pjp8vfv78mdlkxfmcasg78lzlnm6nslsfkci31p";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.asl20 ];
};
initial commit
r0 };
dependencies: bumped pinned libraries to latest versions....
r788 "packaging" = super.buildPythonPackage {
name = "packaging-19.2";
doCheck = false;
propagatedBuildInputs = [
self."pyparsing"
self."six"
];
src = fetchurl {
url = "https://files.pythonhosted.org/packages/5a/2f/449ded84226d0e2fda8da9252e5ee7731bdf14cd338f622dfcd9934e0377/packaging-19.2.tar.gz";
sha256 = "0izwlz9h0bw171a1chr311g2y7n657zjaf4mq4rgm8pp9lbj9f98";
};
meta = {
license = [ pkgs.lib.licenses.bsdOriginal { fullName = "BSD or Apache License, Version 2.0"; } pkgs.lib.licenses.asl20 ];
};
};
nix: updated to 18.03 packages....
r472 "pastedeploy" = super.buildPythonPackage {
dependencies: updated pastedeploy to 2.0.1
r602 name = "pastedeploy-2.0.1";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
src = fetchurl {
dependencies: updated pastedeploy to 2.0.1
r602 url = "https://files.pythonhosted.org/packages/19/a0/5623701df7e2478a68a1b685d1a84518024eef994cde7e4da8449a31616f/PasteDeploy-2.0.1.tar.gz";
sha256 = "02imfbbx1mi2h546f3sr37m47dk9qizaqhzzlhx8bkzxa6fzn8yl";
nix: updated to 18.03 packages....
r472 };
meta = {
license = [ pkgs.lib.licenses.mit ];
};
};
"pathlib2" = super.buildPythonPackage {
dependencies: bumped pinned libraries to latest versions....
r788 name = "pathlib2-2.3.5";
nix: updated to 18.03 packages....
r472 doCheck = false;
propagatedBuildInputs = [
self."six"
self."scandir"
];
src = fetchurl {
dependencies: bumped pinned libraries to latest versions....
r788 url = "https://files.pythonhosted.org/packages/94/d8/65c86584e7e97ef824a1845c72bbe95d79f5b306364fa778a3c3e401b309/pathlib2-2.3.5.tar.gz";
sha256 = "0s4qa8c082fdkb17izh4mfgwrjd1n5pya18wvrbwqdvvb5xs9nbc";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
license = [ pkgs.lib.licenses.mit ];
};
};
nix: updated to 18.03 packages....
r472 "pexpect" = super.buildPythonPackage {
dependencies: bumped pexpect to 4.7.0
r683 name = "pexpect-4.7.0";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."ptyprocess"
];
requirements: added ipdb (0.10.1) support.
r96 src = fetchurl {
dependencies: bumped pexpect to 4.7.0
r683 url = "https://files.pythonhosted.org/packages/1c/b1/362a0d4235496cb42c33d1d8732b5e2c607b0129ad5fdd76f5a583b9fcb3/pexpect-4.7.0.tar.gz";
sha256 = "1sv2rri15zwhds85a4kamwh9pj49qcxv7m4miyr4jfpfwv81yb4y";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
license = [ pkgs.lib.licenses.isc { fullName = "ISC License (ISCL)"; } ];
};
};
nix: updated to 18.03 packages....
r472 "pickleshare" = super.buildPythonPackage {
dependencies: bumped few libraries....
r556 name = "pickleshare-0.7.5";
nix: updated to 18.03 packages....
r472 doCheck = false;
propagatedBuildInputs = [
self."pathlib2"
];
src = fetchurl {
dependencies: bumped few libraries....
r556 url = "https://files.pythonhosted.org/packages/d8/b6/df3c1c9b616e9c0edbc4fbab6ddd09df9535849c64ba51fcb6531c32d4d8/pickleshare-0.7.5.tar.gz";
sha256 = "1jmghg3c53yp1i8cm6pcrm280ayi8621rwyav9fac7awjr3kss47";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
license = [ pkgs.lib.licenses.mit ];
};
};
nix: updated to 18.03 packages....
r472 "plaster" = super.buildPythonPackage {
name = "plaster-1.0";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."setuptools"
];
requirements: added ipdb (0.10.1) support.
r96 src = fetchurl {
nix: updated to 18.03 packages....
r472 url = "https://files.pythonhosted.org/packages/37/e1/56d04382d718d32751017d32f351214384e529b794084eee20bb52405563/plaster-1.0.tar.gz";
sha256 = "1hy8k0nv2mxq94y5aysk6hjk9ryb4bsd13g83m60hcyzxz3wflc3";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
nix: updated to 18.03 packages....
r472 license = [ pkgs.lib.licenses.mit ];
requirements: added ipdb (0.10.1) support.
r96 };
};
nix: updated to 18.03 packages....
r472 "plaster-pastedeploy" = super.buildPythonPackage {
dependencies: bumped plaster-pastedeploy-0.7
r684 name = "plaster-pastedeploy-0.7";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."pastedeploy"
self."plaster"
];
requirements: added ipdb (0.10.1) support.
r96 src = fetchurl {
dependencies: bumped plaster-pastedeploy-0.7
r684 url = "https://files.pythonhosted.org/packages/99/69/2d3bc33091249266a1bd3cf24499e40ab31d54dffb4a7d76fe647950b98c/plaster_pastedeploy-0.7.tar.gz";
sha256 = "1zg7gcsvc1kzay1ry5p699rg2qavfsxqwl17mqxzr0gzw6j9679r";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
license = [ pkgs.lib.licenses.mit ];
};
};
nix: updated to 18.03 packages....
r472 "pluggy" = super.buildPythonPackage {
dependencies: bumped pinned libraries to latest versions....
r788 name = "pluggy-0.13.0";
dependencies: bumped pyramid to 1.9 and webob to 1.7.3
r244 doCheck = false;
dependencies: bumped pinned libraries to latest versions....
r788 propagatedBuildInputs = [
self."importlib-metadata"
];
dependencies: bumped pyramid to 1.9 and webob to 1.7.3
r244 src = fetchurl {
dependencies: bumped pinned libraries to latest versions....
r788 url = "https://files.pythonhosted.org/packages/d7/9d/ae82a5facf2dd89f557a33ad18eb68e5ac7b7a75cf52bf6a208f29077ecf/pluggy-0.13.0.tar.gz";
sha256 = "0d4gsvb4kjqhiqqi4bbsdp7s1xlyl5phibcw1q1mrpd65xia2pzs";
dependencies: bumped pyramid to 1.9 and webob to 1.7.3
r244 };
meta = {
license = [ pkgs.lib.licenses.mit ];
};
};
nix: updated to 18.03 packages....
r472 "prompt-toolkit" = super.buildPythonPackage {
dependencies: bumped loosely pinned dependencies...
r791 name = "prompt-toolkit-1.0.18";
dependencies: bumped pyramid to 1.9 and webob to 1.7.3
r244 doCheck = false;
nix: updated to 18.03 packages....
r472 propagatedBuildInputs = [
self."six"
self."wcwidth"
];
dependencies: bumped pyramid to 1.9 and webob to 1.7.3
r244 src = fetchurl {
dependencies: bumped loosely pinned dependencies...
r791 url = "https://files.pythonhosted.org/packages/c5/64/c170e5b1913b540bf0c8ab7676b21fdd1d25b65ddeb10025c6ca43cccd4c/prompt_toolkit-1.0.18.tar.gz";
sha256 = "09h1153wgr5x2ny7ds0w2m81n3bb9j8hjb8sjfnrg506r01clkyx";
dependencies: bumped pyramid to 1.9 and webob to 1.7.3
r244 };
meta = {
requirements: added ipdb (0.10.1) support.
r96 license = [ pkgs.lib.licenses.bsdOriginal ];
dependencies: bumped pyramid to 1.9 and webob to 1.7.3
r244 };
};
dependencies: added required psutil for gevent.
r474 "psutil" = super.buildPythonPackage {
dependencies: bumped psutil to 5.6.3
r773 name = "psutil-5.6.3";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
src = fetchurl {
dependencies: bumped psutil to 5.6.3
r773 url = "https://files.pythonhosted.org/packages/1c/ca/5b8c1fe032a458c2c4bcbe509d1401dca9dda35c7fc46b36bb81c2834740/psutil-5.6.3.tar.gz";
sha256 = "1wv31zly44qj0rp2acg58xbnc7bf6ffyadasq093l455q30qafl6";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
license = [ pkgs.lib.licenses.bsdOriginal ];
};
};
nix: updated to 18.03 packages....
r472 "ptyprocess" = super.buildPythonPackage {
name = "ptyprocess-0.6.0";
requirements: added ipdb (0.10.1) support.
r96 doCheck = false;
src = fetchurl {
nix: updated to 18.03 packages....
r472 url = "https://files.pythonhosted.org/packages/7d/2d/e4b8733cf79b7309d84c9081a4ab558c89d8c89da5961bf4ddb050ca1ce0/ptyprocess-0.6.0.tar.gz";
sha256 = "1h4lcd3w5nrxnsk436ar7fwkiy5rfn5wj2xwy9l0r4mdqnf2jgwj";
requirements: added ipdb (0.10.1) support.
r96 };
meta = {
license = [ ];
};
};
nix: updated to 18.03 packages....
r472 "py" = super.buildPythonPackage {
dependencies: bumped test libraries
r786 name = "py-1.8.0";
initial commit
r0 doCheck = false;
src = fetchurl {
dependencies: bumped test libraries
r786 url = "https://files.pythonhosted.org/packages/f1/5a/87ca5909f400a2de1561f1648883af74345fe96349f34f737cdfc94eba8c/py-1.8.0.tar.gz";
sha256 = "0lsy1gajva083pzc7csj1cvbmminb7b4l6a0prdzyb3fd829nqyw";
initial commit
r0 };
release: updated pip2nix output for 4.2.0
r38 meta = {
license = [ pkgs.lib.licenses.mit ];
};
initial commit
r0 };
requirements: added pygit2 into project
r723 "pycparser" = super.buildPythonPackage {
name = "pycparser-2.19";
doCheck = false;
src = fetchurl {
url = "https://files.pythonhosted.org/packages/68/9e/49196946aee219aead1290e00d1e7fdeab8567783e83e1b9ab5585e6206a/pycparser-2.19.tar.gz";
sha256 = "1cr5dcj9628lkz1qlwq3fv97c25363qppkmcayqvd05dpy573259";
};